Package Details: vim-openscad r16.81db508-1

Git Clone URL: https://aur.archlinux.org/vim-openscad.git (read-only, click to copy)
Package Base: vim-openscad
Description: Vim syntax highlighting for OpenSCAD files
Upstream URL: None
Licenses: Public Domain
Submitter: zootboy
Maintainer: zootboy
Last Packager: zootboy
Votes: 5
Popularity: 0.000000
First Submitted: 2016-02-15 21:31
Last Updated: 2020-09-03 19:11

Dependencies (1)

Required by (0)

Sources (1)

Latest Comments

Z2h-A6n commented on 2020-09-03 22:08

Thanks, I've just installed it, and everything works as expected.

zootboy commented on 2020-09-03 19:12

That's a fair point. I've updated the package to not depend on vim.

Z2h-A6n commented on 2020-09-03 16:10

As far as I can tell, this doesn't depend on vim. Obviously users probably want vim/neovim/etc. installed to actually use this, but this isn't strictly necessary, and including vim in depends can cause some unnecessary (and minor) headaches.

In my case, I have neovim but not vim installed, and the syntax highlighting works fine if I install a modified version of this package with an empty depends array.

zootboy commented on 2019-07-27 22:34

Updated, thanks!

Score_Under commented on 2019-07-26 20:07

Needs git in makedeps